<?
function getbrname($code)
{
 $rew=mysqli_query($db,"select brname from branch where brcode='$code'");
 $rerow=mysqli_fetch_row($rew);
  return $rerow[0];
}

function log_entry($brcode,$user,$ip,$act)
{
 $dt=date("Y-m-d H:i");
 $sql="insert into log values('$brcode','$user','$ip','$dt','$act')";
 mysqli_query($db,$sql) or die(mysqli_error());
}

function getlstprice($pcode)
{
$partprice=mysqli_query($db," select ndpcost from spareprmast where partcode='$pcode' order by  effectfrom desc limit 1");
$partprice1=mysqli_fetch_array($partprice);
return $partprice1[0];

} 


function parseDate($d)
{
 if(strlen($d)<=0)
  return; 
 $ar=explode("-",$d);
 $var=$var.$ar[2]."-".$ar[1]."-".$ar[0];
 return $var;
}
function datetoHtml($d)
{
 $ar=explode("-",$d);
 $var=$var.$ar[2]."-".$ar[1]."-".$ar[0];
 return $var;
}

function expired($d)
{
 $ar=explode("-",$d);
 $dt=mktime(0,0,0,$ar[1],$ar[2],$ar[0]);
 if($dt<time())
  return true;
 else
  return false;
} 

function day($d)
{
 $ar=explode("-",$d);
 if($ar[0]>3000)
  return "Invalid Year";
 if($ar[1]>12)
  return "Invalid Month";
 if($ar[2]>31)
  return "Invalid Date";
 
 $dt=mktime(0,0,0,$ar[1],$ar[2],$ar[0]);
 return date("l",$dt); 
}
function nDays($date)
{
 $d=explode("-",$date);
 $m=$d[1];
 $y=$d[0];
 $dt2=mktime(0,0,0,$m,1,$y);
  $dd=date("M/j/Y",$dt2); 
$leap= date("L",$dt2);

 if($m==1)
  return 31;
 else if($m==2)
  {
      if($leap==0)
         return 28;
      else
          return 29;
  }
 else if($m==3)
  return 31;
 else if($m==4)
  return 30;
 else if($m==5)
  return 31;
 else if($m==6)
  return 30;
 else if($m==7)
  return 31;
 else if($m==8)
  return 31;
 else if($m==9)
  return 30;
 else if($m==10)
  return 31;
 else if($m==11)
  return 30;
 else if($m==12)
  return 31;
}

function fortextarea($val)
{
 $x=str_replace("<br>","&#10;",$val);
 $y=str_replace("<hr>","&#10;&#45;&#45;&#10;",$x);
 return $y;
}

function htmlValidate($a)
{
 return nl2br(str_replace("--","-----",$a));
}
/*****************************************************************************/
function word($x)
{
$x=str_replace(".","-",$x);
$num=explode('-',$x); 

 if($num[0]<=20)
 {
   switch($num[0])
   {
    case 0:
     $val.=" ";
     break;
     case 1:
      $val="one";
      break;
     case 2:
      $val="two";
      break;
     case 3:
      $val="three";
      break;
     case 4:
      $val="four";
      break;
     case 5:
      $val="five";
      break;
     case 6:
      $val="six";
      break;
     case 7:
      $val="seven";
      break;
     case 8:
      $val="eight";
      break;
     case 9:
      $val="nine";
      break;
     case 10:
      $val="ten";
      break;
     case 11:
      $val="eleven";
      break;
     case 12:
      $val="twelve";
      break;
     case 13:
      $val="thirteen";
      break;
     case 14:
      $val="fourteen";
      break;
     case 15:
      $val="fifteen";
      break;
     case 16:
      $val="sixteen";
      break;
     case 17:
      $val="seventeen";
      break;
     case 18:
      $val="eighteen";
      break;
     case 19:
      $val="nineteen";
      break;
     case 20:
      $val="twenty";
      break;
}
} //end if
else if($num[0]>20 && $num[0]<30)
{
 $val=" twenty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=30 && $num[0]<40)
{
 $val=" thirty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=40 && $num[0]<50)
{
 $val=" fourty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=50 && $num[0]<60)
{
 $val=" fifty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=60 && $num[0]<70)
{
 $val=" sixty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=70 && $num[0]<80)
{
 $val=" seventy ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=80 && $num[0]<90)
{
 $val=" eighty ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=90 && $num[0]<100)
{
 $val=" ninety ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=100 && $num[0]<200)
{
 $val="one hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=200 && $num[0]<300)
{
 $val=" two hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=300 && $num[0]<400)
{
 $val=" three hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=400 && $num[0]<500)
{
 $val="four hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=500 && $num[0]<600)
{
 $val=" five hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=600 && $num[0]<700)
{
 $val=" six hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=700 && $num[0]<800)
{
 $val=" seven hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=800 && $num[0]<900)
{
 $val=" eight hundred ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=900 && $num[0]<1000)
{
 $val="nine hundred and ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=1000 && $num[0]<10000)
{
 $x=substr($num[0],0,1); 
 $val.=word($x)." thousand ";
 $x=substr($num[0],1);
 $val.=word($x);
}
else if($num[0]>=10000 && $num[0]<100000)
{
 $x=substr($num[0],0,2); 
 $val.=word($x)." thousand ";
 $x=substr($num[0],2);
 $val.=word($x);
}
else if($num[0]>=100000 && $num[0]<1000000)
{
 $x=substr($num[0],0,1); 
 $val.=word($x)." Lakh ";
 $x=substr($num[0],1,2);
 if($x>0)
  $val.=word($x)." thousand ";
  $x=substr($num[0],3,3);
 $val.=word($x);
 //$x=substr($num[0],4);print $x;
// $val.=word($x);
}
else if($num[0]>=1000000 && $num[0]<10000000)
{
 $x=substr($num[0],0,2); 
 $val.=word($x)." Lakh ";
 $x=substr($num[0],2,2);
 if($x>0)
 $val.=word($x)." thousand ";
 $x=substr($num[0],4,1);
 if($x>0)
 $val.=word($x)." hundred ";
 $x=substr($num[0],5,2);
 if($x>0)
 $val.=word($x); 

}
//***********************************************************************

if($num[1]>0)
{
 $val.= " And ";
 if($num[1]<=20)
 {
   switch($num[1])
   {
    case 0:
     $val.=" ";
     break;
     case 1:
      $val.="one";
      break;
     case 2:
      $val.="two";
      break;
     case 3:
      $val.="three";
      break;
     case 4:
      $val.="four";
      break;
     case 5:
      $val.="five";
      break;
     case 6:
      $val.="six";
      break;
     case 7:
      $val.="seven";
      break;
     case 8:
      $val.="eight";
      break;
     case 9:
      $val.="nine";
      break;
     case 10:
      $val.="ten";
      break;
     case 11:
      $val.="eleven";
      break;
     case 12:
      $val.="twelve";
      break;
     case 13:
      $val.="thirteen";
      break;
     case 14:
      $val.="fourteen";
      break;
     case 15:
      $val.="fifteen";
      break;
     case 16:
      $val.="sixteen";
      break;
     case 17:
      $val.="seventeen";
      break;
     case 18:
      $val.="eighteen";
      break;
     case 19:
      $val.="nineteen";
      break;
     case 20:
      $val.="twenty";
      break;
}
} //endif
else if($num[1]>20 && $num[1]<30)
{
 $val.="twenty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=30 && $num[1]<40)
{
 $val.="thirty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=40 && $num[1]<50)
{
 $val.="fourty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=50 && $num[1]<60)
{
 $val.="fifty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=60 && $num[1]<70)
{
 $val.="sixty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=70 && $num[1]<80)
{
 $val.="seventy ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=80 && $num[1]<90)
{
 $val.="eighty ";
 $x=substr($num[1],1);
 $val.=word($x);
}
else if($num[1]>=90 && $num[1]<100)
{
 $val.="ninety ";
 $x=substr($num[1],1);
 $val.=word($x);
}
$val.=" paise";
}
 
return strtoupper($val);
}

function putComa($num)
{
 if(strlen($num)==0)
  return;
 
 if(strlen(strstr($num,"."))<=0)
  { 
    $v=$num.".00";
  }
  else $v=$num; 
 $a='';
    $a=explode(".",$v);
 if(strlen($a[1])==1)
  $v.="0";
  if(strlen($a[1])>2)
   $v=$a[0].'.'.substr($a[1],0,2);
//print $v;
 if(strlen($a[0])>8)
 {
  $v=substr($v,0,2).",".substr($v,2,2).",".substr($v,4,2).",".substr($v,6);
 }
 else if(strlen($a[0])>7)
 {
  $v=substr($v,0,1).",".substr($v,1,2).",".substr($v,3,2).",".substr($v,5);
 }
 else if(strlen($a[0])>6)
 {
  $v=substr($v,0,2).",".substr($v,2,2).",".substr($v,4);
 }
 else if(strlen($a[0])>5)
 {
  $v=substr($v,0,1).",".substr($v,1,2).",".substr($v,3);
 }
 else if(strlen($a[0])>4)
 {
  $v=substr($v,0,2).",".substr($v,2,6);
 }
 else if(strlen($a[0])>3)
 {
  $v=substr($v,0,1).",".substr($v,1);
 }
 return $v;
}

function nozero($x)
{
 if($x==0)
   return ' ';
 else
   return $x;
}

?>
